#Neufbox V4

[https://openwrt.org/toh/sfr/nb4](https://openwrt.org/toh/sfr/nb4)

La neufbox v4 se flashe bien. il faut préparer l'image et invoquer le script flashimage ( pas de moi, mais le lien est mort. Je ne connais pas la licence ...)

## A savoir :
Si vous voulez utiliser le wifi, il faut utiliser l'image de chaos calmer et indiquer l'adresse mac materielle de la carte wifi dans `/etc/config/wifi` une fois flashée. Pendant le flash, l'adresse mac est aussi annoncée par le script. Bien veiller à ce que ce soit celle de la box et non pas du P.C.

Si vous voulez vous passer du wifi, vous pouvez utiliser la version 19.07, je l'ai testée avec du partage de connexion USB : [https://openwrt.org/docs/guide-user/network/wan/smartphone.usb.tethering](https://openwrt.org/docs/guide-user/network/wan/smartphone.usb.tethering) et ça me semble très bien fonctionner.

## Préparation de l'image

On télécharge l'image .bin sur le site d'openwrt, en faisant attention a la référence de la box (FXC ou SER ) puis :

```
cat /dev/zero | tr '\000' '\377' | dd bs=64k of=nb4-openwrt count=128 seek=0
dd bs=64k of=nb4-openwrt if=image-du-site-openwrt.bin seek=1
dd bs=64k of=nb4-openwrt if=/dev/zero count=1 seek=127
```

Cela permet, comme décrit en commentaire au début du script, d'outrepasser le bootloader et d'installer l'image système. La box s'attend a une image d'une taille précise (8Mb), donc il faut aussi finaliser avec des 0.

## Le flash 

Il faut brancher la machine avec le script flashimage et l'image. Il faut connaitre l'interface réseau, être root et disposer de python2. Pour trouver l'interface réseau de votre P.C. : `ip address`. Le début de ligne doit être en eth[numéro] ou enp[numéro+chosesderrièreoupas]

une fois cela trouvé, en tant que root ou avec sudo :
```
./flashimage.py eth0 nb4-openwrt
```
Il faut démarrer la box en appuyant sur le bouton reset ( ou le bouton/facade SFR selon le modèle ) et brancher le cable de votre P.C. au port TV de la box.


